%define	upstream_name	 Net-Pcap
%define upstream_version 0.17

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 15

Summary:    Interface to pcap(3) LBL packet capture library 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Socket)
BuildRequires: perl(Sys::Hostname)
BuildRequires: perl(Test::More) >= 0.450.0
BuildRequires: perl(XSLoader)
BuildRequires: libpcap-devel
BuildRequires: perl-devel
%description
Net::Pcap is a Perl binding to the LBL pcap(3) library.
The README for libpcap describes itself as:

"a system-independent interface for user-level packet capture.
libpcap provides a portable framework for low-level network
monitoring.  Applications include network statistics collection,
security monitoring, network debugging, etc."

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor --defaultdeps
%make_build

# test 09 fails with new libpcap 1.8.0
rm -f t/09-error.t

%install
%make_install
%__rm -rf %{buildroot}%{perl_archlib}/perllocal.pod
%__rm -rf %{buildroot}%{perl_archlib}/Net/._Pcap.pm

%files
%doc Changes META.json META.yml MYMETA.yml README eg
%{perl_vendorarch}/Net
%{perl_vendorarch}/auto/Net
%{_mandir}/man3/*
%{_mandir}/man1/*
%{_bindir}/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.170.0-15pclos2017
- rebuild against updates

